Bug 482952 - urlgrab does not raise an exception on ftp errors
urlgrab does not raise an exception on ftp errors
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-urlgrabber (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE
:
Depends On:
Blocks: 445862
  Show dependency treegraph
 
Reported: 2009-01-28 18:24 EST by Jeff Bastian
Modified: 2010-07-02 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 13:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
demo script (238 bytes, text/plain)
2009-01-28 18:25 EST, Jeff Bastian
no flags Details

  None (edit)
Description Jeff Bastian 2009-01-28 18:24:24 EST
Description of problem:
The python-urlgrabber module fails to raise an exception from ftp errors.

Try to urlgrab() a non-existing file from an ftp server and urlgrab() will not raise an exception and just create an empty file.

This bug is breaking anaconda's ability to correctly determine if the RHEL CD-ROM ISOs are loopback mounted on an ftp server.

Version-Release number of selected component (if applicable):
python-urlgrabber-3.1.0-5.el5.noarch

How reproducible:
every time

Steps to Reproduce:
1. use attached script to download the non-existing file ftp://ftp.redhat.com/pub/foo.txt
  
Actual results:
script reports a successful download

Expected results:
urlgrab should raise an exception

Additional info:
ftp://ftp.redhat.com/pub/foo.txt really does not exist
   $ lftp -e 'get pub/foo.txt; exit' ftp.redhat.com
   get: Access failed: 550 Failed to open file. (pub/foo.txt)
Comment 1 Jeff Bastian 2009-01-28 18:25:06 EST
Created attachment 330299 [details]
demo script
Comment 2 Jeff Bastian 2009-01-28 18:26:47 EST
Example run of demo script from comment #1

   $ ./get-redhat-foo.py
   Saved as foo.txt
   $ cat foo.txt
   $
Comment 3 RHEL Product and Program Management 2009-03-26 13:22:04 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 RHEL Product and Program Management 2009-11-06 14:22:40 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 James Antill 2010-07-02 12:56:39 EDT
There's no patch, urlgrabber in RHEL-6 is v. different and there's no IT linked ... so I'm going to NAK this.
Comment 6 RHEL Product and Program Management 2010-07-02 13:04:31 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.